import os
from pathlib import Path
import tempfile

def create_cloudinit_image(
    seed_file: Path,
    instance_id: str,
    user_data: str,
):
    with tempfile.TemporaryDirectory() as _tmp:
        tmp = Path(_tmp)
        with (tmp / "meta-data").open("w") as f:
            f.write(f"instance-id: {instance_id}\nlocal-hostname: {instance_id}")
        with (tmp / "user-data").open("w") as f:
            f.write(user_data)

        os.system(f"truncate --size 2M {seed_file}")
        os.system(f"mkfs.vfat -n cidata {seed_file}")
        os.system(f"mcopy -oi {seed_file} {tmp / "meta-data"} {tmp / "user-data"} ::")
